注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

碳基体

http://weibo.com/tanjiti

 
 
 
 
 

日志

 
 

iOS设备安装Metasploit Framework的方法  

2013-02-04 15:21:50|  分类: iOS app security |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
Metasploit是我最喜欢的安全工具,没有之一,现在介绍如何在iOS设备上安装它。

一、安装准备条件
1. 越狱设备
2. SSH
SSH服务端:iOS设备上安装openssh (Cydia中搜索),开启SSH服务
SSH客户端:PC上安装SSH客户端软件(SecureCRT比较好),远程连接iOS设备。
由于我的PC机与iOS设备处于隔离网段,因此我采用的USB连接方式(itunnel mux+ SecureCRT)

itunnel_mux.exe --lport 1234

ssh -p 1234 root@127.0.0.1

3.APT(cydia中搜索)

二、正式安装
第一步:更新系统与安装wget与subversion

apt-get update && apt-get dist-upgrade

apt-get install wget subversion

第二步:安装ruby与Metasploit Frame依赖包

wget http://ininjas.com/repo/debs/ruby_1.9.2-p180-1-1_iphoneos-arm.deb

wget http://ininjas.com/repo/debs/iconv_1.14-1_iphoneos-arm.deb

wget http://ininjas.com/repo/debs/zlib_1.2.3-1_iphoneos-arm.deb

dpkg -i iconv_1.14-1_iphoneos-arm.deb

dpkg -i zlib_1.2.3-1_iphoneos-arm.deb

dpkg -i ruby_1.9.2-p180-1-1_iphoneos-arm.deb

安装结束后,为了节省空间,你可以删除这些安装包,注意:*表示上面的安装包,记得不要把有用的deb都删除掉了

rm -rf *.deb

检测ruby是否安装成功,查看ruby版本信息

ruby -v

第三步:安装metasploit framework

cd /private/var

svn co https://www.metasploit.com/svn/framework3/trunk/ msf3

运行msf

cd mfs3/

ruby msfconsole


三、后记
最好在ipad和iPhone上安装,itouch就算了,系统空间小,会无法运行msf。其实,在iOS设备上安装MSF的方法早在去年网上就有攻略了,那个时候是MSF4.3版本,安装依赖包还是采用的apt.saurik.com/cydia/debs源。


参考资料:
  评论这张
 
阅读(971)| 评论(1)
推荐

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017